- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends

# QDragMoveEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 525 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QDragMoveEvent:
[legend]

List of all members.

## Public Member Functions
| QDragMoveEvent (const QPoint &pos, Qt::DropActions actions, const QMimeData *data, Qt::MouseButtons buttons, Qt::KeyboardModifiers modifiers, Type type=DragMove)
| ~QDragMoveEvent ()
QRect | answerRect () const
void | accept ()
void | ignore ()
void | accept (const QRect &r)
void | ignore (const QRect &r)
## Protected Attributes
QRect | rect
## Friends
class | QApplication

## Constructor & Destructor Documentation

QDragMoveEvent | ( | const QPoint & | pos,
|  | Qt::DropActions | actions,
|  | const QMimeData * | data,
|  | Qt::MouseButtons | buttons,
|  | Qt::KeyboardModifiers | modifiers,
|  | Type | type = `DragMove`
| ) |  |

~QDragMoveEvent | ( |  | ) |

## Member Function Documentation

QRect answerRect | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 532 of file qevent.h.

    { return rect; }

void accept | ( |  | ) | `[inline]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 534 of file qevent.h.

    { QDropEvent::accept(); }

void ignore | ( |  | ) | `[inline]`

Search for all occurrences

Reimplemented from QEvent.

Definition at line 535 of file qevent.h.

    { QDropEvent::ignore(); }

void accept | ( | const QRect & | r | ) | `[inline]`

Search for all occurrences

Definition at line 537 of file qevent.h.

    { accept(); rect = r; }

void ignore | ( | const QRect & | r | ) | `[inline]`

Search for all occurrences

Definition at line 538 of file qevent.h.

    { ignore(); rect = r; }

## Friends And Related Function Documentation

friend class QApplication `[friend]`

Search for all occurrences

Reimplemented from QDropEvent.

Definition at line 545 of file qevent.h.

## Member Data Documentation

QRect rect `[protected]`

Search for all occurrences

Definition at line 546 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent
QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent QDragMoveEvent